# AccountCurrenciesResponse | xrpl
Documentation for xrpl

# Interface AccountCurrenciesResponse

The expected response from an AccountCurrenciesRequest.

#### Hierarchy

- BaseResponse
  - AccountCurrenciesResponse

- Defined in packages/xrpl/src/models/methods/accountCurrencies.ts:29

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: {
ledger_hash?: string;
ledger_index: number;
receive_currencies: string[];
send_currencies: string[];
validated: boolean;
}

#### Type declaration

- ##### `Optional` ledger_hash?: string

  The identifying hash of the ledger version used to retrieve this data, as hex.

- ##### ledger_index: number

  The ledger index of the ledger version used to retrieve this data.

- ##### receive_currencies: string[]

  Array of Currency Codes for currencies that this account can receive.

- ##### send_currencies: string[]

  Array of Currency Codes for currencies that this account can send.

- ##### validated: boolean

  If true, this data comes from a validated ledger.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/accountCurrencies.ts:30

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc